import request from '@/utils/request'

// 查询PFD管理详细
export function getPfdmgrByCode(code) {
  return request({
    url: '/monitor/pfdmgr/getInfoByCode/' + code,
    method: 'get'
  })
}

// 查询PFD管理列表
export function listPfdmgr(query) {
  return request({
    url: '/monitor/pfdmgr/list',
    method: 'get',
    params: query
  })
}

// 查询PFD管理详细
export function getPfdmgr(id) {
  return request({
    url: '/monitor/pfdmgr/' + id,
    method: 'get'
  })
}

// 新增PFD管理
export function addPfdmgr(data) {
  return request({
    url: '/monitor/pfdmgr',
    method: 'post',
    data: data
  })
}

// 修改PFD管理
export function updatePfdmgr(data) {
  return request({
    url: '/monitor/pfdmgr',
    method: 'put',
    data: data
  })
}

// 删除PFD管理
export function delPfdmgr(id) {
  return request({
    url: '/monitor/pfdmgr/' + id,
    method: 'delete'
  })
}

// 导出PFD管理
export function exportPfdmgr(query) {
  return request({
    url: '/monitor/pfdmgr/export',
    method: 'get',
    params: query
  })
}
